/* (C) 2022 YiRing, Inc. */
package com.yiring.app.config.converter;

import com.alibaba.fastjson.JSONArray;
import javax.persistence.AttributeConverter;
import javax.persistence.Converter;

/**
 * JSONArray JPA 类型转换
 *
 * @author Jim
 * @version 0.1
 * 2022/4/7 18:03
 */

@Converter
public class JSONArrayConverter implements AttributeConverter<JSONArray, String> {

    @Override
    public String convertToDatabaseColumn(JSONArray json) {
        return json.toJSONString();
    }

    @Override
    public JSONArray convertToEntityAttribute(String s) {
        return JSONArray.parseArray(s);
    }
}
